body {
    position: relative;
    height: 100vh;
}

form {
    max-width: 800px;
    min-width: 400px;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

input[required] {
    border: 1px solid rgb(172, 50, 50);
}

fieldset {
    background-color: rgb(90, 86, 86);
    padding: 1rem;
}

fieldset:hover {
    background-color: gray;
}

fieldset:first-child {
    border-bottom: 5px solid black;
}

fieldset:nth-child(3) {
    border-bottom: 5px solid black;
}

input[type=submit] {
    background-color: black;
    color: white;
    border: none;
}